Open Infrastructure - Task #7482

On Alpine Linux the monit job for node-exporter uses the wrong path
Description
Current state is:

[22:56] router2.place5:/etc/monit# cat conf.d/node—exporter
check process prometheus—-node-exporter with pidfile /var/run/prometheus/prometheus—node-exporter.p
id
start program = "/etc/init.d/prometheus-node-exporter start" with timeout 60 seconds
stop program = "/etc/init.d/prometheus-node-exporter stop"
[22:56] router2.place5:/etc/monit#

However the init script is /etc/init.d/node-exporter.
Add an "os" check into manifest/dcl in the router section to use a different __ungleich_monit config depending on the OS.

MR for this one not direct push, please

History

#1 - 12/16/2019 10:07 AM - Timothée Floure

Add an "os" check into manifest/dcl in the router section to use a different __ungleich_monit config depending on the OS.

Wouldn't it be better to add this check to the *__ungleich_monit™ type, which generate the “/etc/monit/conf.d/node-exporter file?

#2 - 02/24/2020 10:23 AM - Timothée Floure

- Status changed from New to In Progress

#3 - 02/24/2020 10:55 AM - Timothée Floure

https://code.ungleich.ch/ungleich-intern/dot-cdist/merge_requests/67

#4 - 02/24/2020 11:24 AM - Timothée Floure

- Status changed from In Progress to Closed
